org.modeshape.jcr.api

## Interface Logger

- All Known Implementing Classes:
    ExtensionLogger, WebLogger

      public interface Logger

  A generic logger interface.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String message, Object... params)` Log a message at the DEBUG level according to the specified format and (optional) parameters.
    `void` | `debug(Throwable t, String message, Object... params)` Log an exception (throwable) at the DEBUG level with an accompanying message.
    `void` | `error(String message, Object... params)` Log a message at the ERROR level according to the specified format and (optional) parameters.
    `void` | `error(Throwable t, String message, Object... params)` Log an exception (throwable) at the ERROR level with an accompanying message.
    `void` | `info(String message, Object... params)` Log a message at the INFO level according to the specified format and (optional) parameters.
    `void` | `info(Throwable t, String message, Object... params)` Log an exception (throwable) at the INFO level with an accompanying message.
    `boolean` | `isDebugEnabled()` Return whether messages at the DEBUG level are being logged.
    `boolean` | `isErrorEnabled()` Return whether messages at the ERROR level are being logged.
    `boolean` | `isInfoEnabled()` Return whether messages at the INFORMATION level are being logged.
    `boolean` | `isTraceEnabled()` Return whether messages at the TRACE level are being logged.
    `boolean` | `isWarnEnabled()` Return whether messages at the WARNING level are being logged.
    `void` | `trace(String message, Object... params)` Log a message at the TRACE level according to the specified format and (optional) parameters.
    `void` | `trace(Throwable t, String message, Object... params)` Log an exception (throwable) at the TRACE level with an accompanying message.
    `void` | `warn(String message, Object... params)` Log a message at the WARNING level according to the specified format and (optional) parameters.
    `void` | `warn(Throwable t, String message, Object... params)` Log an exception (throwable) at the WARNING level with an accompanying message.

- - ### Method Detail

    - #### debug

          void debug(String message,
                   Object... params)

      Log a message at the DEBUG level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

      If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

      Parameters:
        `message` - the message string
        `params` - the parameter values that are to replace the variables in the format string

    - #### debug

          void debug(Throwable t,
                   String message,
                   Object... params)

      Log an exception (throwable) at the DEBUG level with an accompanying message. If the exception is null, then this method calls `debug(String, Object...)`.
      Parameters:
        `t` - the exception (throwable) to log
        `message` - the message accompanying the exception
        `params` - the parameter values that are to replace the variables in the format string

    - #### error

          void error(String message,
                   Object... params)

      Log a message at the ERROR level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

      If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

      Parameters:
        `message` - the message string
        `params` - the parameter values that are to replace the variables in the format string

    - #### error

          void error(Throwable t,
                   String message,
                   Object... params)

      Log an exception (throwable) at the ERROR level with an accompanying message. If the exception is null, then this method calls `error(String, Object...)`.
      Parameters:
        `t` - the exception (throwable) to log
        `message` - the message accompanying the exception
        `params` - the parameter values that are to replace the variables in the format string

    - #### info

          void info(String message,
                  Object... params)

      Log a message at the INFO level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

      If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

      Parameters:
        `message` - the message string
        `params` - the parameter values that are to replace the variables in the format string

    - #### info

          void info(Throwable t,
                  String message,
                  Object... params)

      Log an exception (throwable) at the INFO level with an accompanying message. If the exception is null, then this method calls `info(String, Object...)`.
      Parameters:
        `t` - the exception (throwable) to log
        `message` - the message accompanying the exception
        `params` - the parameter values that are to replace the variables in the format string

    - #### trace

          void trace(String message,
                   Object... params)

      Log a message at the TRACE level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

      If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

      Parameters:
        `message` - the message string
        `params` - the parameter values that are to replace the variables in the format string

    - #### trace

          void trace(Throwable t,
                   String message,
                   Object... params)

      Log an exception (throwable) at the TRACE level with an accompanying message. If the exception is null, then this method calls `trace(String, Object...)`.
      Parameters:
        `t` - the exception (throwable) to log
        `message` - the message accompanying the exception
        `params` - the parameter values that are to replace the variables in the format string

    - #### warn

          void warn(String message,
                  Object... params)

      Log a message at the WARNING level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

      If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

      Parameters:
        `message` - the message string
        `params` - the parameter values that are to replace the variables in the format string

    - #### warn

          void warn(Throwable t,
                  String message,
                  Object... params)

      Log an exception (throwable) at the WARNING level with an accompanying message. If the exception is null, then this method calls `warn(String, Object...)`.
      Parameters:
        `t` - the exception (throwable) to log
        `message` - the message accompanying the exception
        `params` - the parameter values that are to replace the variables in the format string

    - #### isInfoEnabled

          boolean isInfoEnabled()

      Return whether messages at the INFORMATION level are being logged.
      Returns:
        true if INFORMATION log messages are currently being logged, or false otherwise.

    - #### isWarnEnabled

          boolean isWarnEnabled()

      Return whether messages at the WARNING level are being logged.
      Returns:
        true if WARNING log messages are currently being logged, or false otherwise.

    - #### isErrorEnabled

          boolean isErrorEnabled()

      Return whether messages at the ERROR level are being logged.
      Returns:
        true if ERROR log messages are currently being logged, or false otherwise.

    - #### isDebugEnabled

          boolean isDebugEnabled()

      Return whether messages at the DEBUG level are being logged.
      Returns:
        true if DEBUG log messages are currently being logged, or false otherwise.

    - #### isTraceEnabled

          boolean isTraceEnabled()

      Return whether messages at the TRACE level are being logged.
      Returns:
        true if TRACE log messages are currently being logged, or false otherwise.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.